PK_MessageAccumulatorBase Class Referenceabstract

Interface for message encoding method for public key signature schemes. More...

`#include <pubkey.h>`

Inheritance diagram for PK_MessageAccumulatorBase:

## Public Member Functions

virtual HashTransformation & | AccessHash ()=0
void | Update (const byte *input, size_t length)
| Updates a hash with additional input.
Public Member Functions inherited from PK_MessageAccumulator
unsigned int | DigestSize () const
void | TruncatedFinal (byte *digest, size_t digestSize)
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object.
virtual byte * | CreateUpdateSpace (size_t &size)
| Request space which can be written into by the caller.
virtual void | Final (byte *digest)
| Computes the hash of the current message.
virtual void | Restart ()
| Restart the hash.
unsigned int | TagSize () const
| Provides the tag size of the hash.
virtual unsigned int | BlockSize () const
| Provides the block size of the compression function.
virtual unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this hash.
virtual unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message.
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message.
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.

## Public Attributes

SecByteBlock | m_recoverableMessage
SecByteBlock | m_representative
SecByteBlock | m_presignature
SecByteBlock | m_semisignature
Integer | m_k
Integer | m_s
bool | m_empty

## Detailed Description

Interface for message encoding method for public key signature schemes.

PK_MessageAccumulatorBase provides interfaces for message encoding method.

Definition at line 451 of file pubkey.h.

## Constructor & Destructor Documentation

## PK_MessageAccumulatorBase()

PK_MessageAccumulatorBase::PK_MessageAccumulatorBase | ( |  | ) |

inline

Definition at line 454 of file pubkey.h.

## Member Function Documentation

## Update()

void PK_MessageAccumulatorBase::Update | ( | const byte * | input,
|  | size_t | length
| ) |  |

inline virtual

Updates a hash with additional input.

Parameters

  input | the additional input as a buffer
  length | the size of the buffer, in bytes

Implements HashTransformation.

Definition at line 458 of file pubkey.h.

## Member Data Documentation

## m_recoverableMessage

SecByteBlock PK_MessageAccumulatorBase::m_recoverableMessage

Definition at line 464 of file pubkey.h.

## m_representative

SecByteBlock PK_MessageAccumulatorBase::m_representative

Definition at line 464 of file pubkey.h.

## m_presignature

SecByteBlock PK_MessageAccumulatorBase::m_presignature

Definition at line 464 of file pubkey.h.

## m_semisignature

SecByteBlock PK_MessageAccumulatorBase::m_semisignature

Definition at line 464 of file pubkey.h.

## m_k

Integer PK_MessageAccumulatorBase::m_k

Definition at line 465 of file pubkey.h.

## m_s

Integer PK_MessageAccumulatorBase::m_s

Definition at line 465 of file pubkey.h.

## m_empty

bool PK_MessageAccumulatorBase::m_empty

Definition at line 466 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h